# To run the analysis, call 

###>>> olaf-daemon.py path-to-this-file.yml

# To kill the analysis, press Ctrl+C

#############################################################################
version: "1.0"

# Parallel processes used to perform the analysis
workers: 16

#
workdir: "/"


# Total time in seconds that the analsys daemon will wait for new files. For example, if files_per_dataset=4, but the amount of new files is less for more than dataset_timeout seconds, then the analysis will start anyway with the existing files.
dataset_timeout: 10 # Float

# Filename of the analysis file. For now, two formats are supported (csv and json). 
# The format is automatically recognized by its extension.
outdir: "/sf/maloja/data/p19582/work/analysis/tools/OLAF/results"

# The section "h5" defines which data is loaded from the h5 file, and how it is then addressed within the code. See the section about the analysis functions for more explanations
channels:
    # The dataset "bunches" in the h5 file is read, and mapped to the key "id"
    #id: "bunches"
    # The dataset "vmi/andor" in the h5 file is read, and mapped to the key "pattern"
    pattern: "JF15T08V01"
    pulse_energy: "SATFE10-PEPG046:FCUP-INTENSITY-CAL"
    # The dataset "digitizer/channel1" in the h5 file is read, and mapped to the key "tof"
    #tof: "digitizer/channel1"
    # The dataset "endstation/voltages/NHQ_1_B" in the h5 file is read, and mapped to the key "MCP_voltage"
    #MCP_voltage: "endstation/voltages/NHQ_1_B"
check_channels: ["JF15T08V01","BSDATA", "PVCHANNELS"]

# The value indicates the path of the masks defining the ROI. 
# The mask has to be a grayscale image, where the ROI is in white (outside the ROI it is black). 
mask: "/sf/maloja/data/p19582/work/analysis/tools/OLAF/conf_files_1.0/masks/mask.tiff"


# The dataset_analysis section defines the functions (and eventual parameters) that perform an analysis on the whole dataset. 
# See the example file "dataset_analysis.py" for further info
hitormiss: 
    hit_fraction: 0.05
    miss_fraction: 0.7
    miss_std: 3.


# The shot_analysis section defines the functions (and eventual parameters) that perform an analysis on a shot-by-shot basis. 
# See the example file "shot_analysis.py" for further info    
shot_analysis: 
    filename: "/sf/maloja/data/p19582/work/analysis/tools/OLAF/conf_files_1.0/functions/shot_analysis.py"
    #center: [ 1111, 1173]
    center: [ 1107, 1156]

    dtheta: 0.0122
    polar_angle: [0.,12.]
    


